#
# Conditional build:
%bcond_without	bridge_hotkey		# disable the engine hotkeys
#
Summary:	The Hangul engine for IBus input platform
Summary(pl.UTF-8):	Silnik Hangul dla platformy wprowadzania znaków IBus
Name:		ibus-hangul
Version:	1.5.0
Release:	1
License:	GPL v2+
Group:		Libraries
#Source0Download: https://github.com/choehwanjin/ibus-hangul/releases
Source0:	https://github.com/choehwanjin/ibus-hangul/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	a171bf7b25752a1f71257fb85d56346b
Patch0:		%{name}-add-hangul-hotkey.patch
URL:		https://github.com/choehwanjin/ibus-hangul
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.10
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	ibus-devel >= 1.4.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libhangul-devel >= 0.1.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.5
Requires:	ibus >= 1.4.0
Requires:	libhangul >= 0.1.0
Requires:	python-pygobject3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/ibus

%description
The Hangul engine for IBus platform. It provides Korean input method
from libhangul.

%description -l pl.UTF-8
Silnik Hangul dla platformy wprowadzania znaków IBus. Udostępnia
metodę wprowadzania znaków koreańskich zaimplementowaną w libhangul.

%prep
%setup -q
%if %{with bridge_hotkey}
%patch0 -p1
%endif

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_bridge_hotkey:--with-hotkeys}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/ibus-setup-hangul
%attr(755,root,root) %{_libexecdir}/ibus-engine-hangul
%attr(755,root,root) %{_libexecdir}/ibus-setup-hangul
%{_datadir}/ibus-hangul
%{_datadir}/ibus/component/hangul.xml
%{_desktopdir}/ibus-setup-hangul.desktop
%{_iconsdir}/hicolor/64x64/apps/ibus-hangul.png
%{_iconsdir}/hicolor/64x64/apps/ibus-setup-hangul.png
%{_iconsdir}/hicolor/scalable/apps/ibus-hangul.svg
%{_iconsdir}/hicolor/scalable/apps/ibus-setup-hangul.svg
%changelog
* Mon Apr 04 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ibus-hangul.git;a=log;h=master

* Sun Apr 03 2016 Jakub Bogusz <qboosh@pld-linux.org> 1c8b5ba
- new URLs, updated to 1.5.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> f13d763
- updated gettext BR

* Sat Feb 02 2013 Jakub Bogusz <qboosh@pld-linux.org> bffa5ae
- updated to 1.4.2
- removed obsolete setup-gi,engine-name patches

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> 900cf5b
- enable bridge hotkey
- rel 3

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> 20d80aa
- updated patches from fedora to better work with ibus 1.4.99

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> 0c41faf
- rebuild with ibus 1.4.99
- release 2 (by relup.sh)

* Sat Sep 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 6cf904c
- updated to 1.4.1
- updated xx-icon-patch (now it handles only hotkeys; symbol is always enabled with ibus 1.4.x)
- removed obsolete ibus-1.4 patch
- pl

* Mon Oct 24 2011 Jan Rękorajski <baggins@pld-linux.org> 8883e1f
- add BuildRoot

* Fri Jul 22 2011 Jan Rękorajski <baggins@pld-linux.org> b94face
- rel 1

* Fri Jul 22 2011 Jan Rękorajski <baggins@pld-linux.org> 97095df
- fix perms

* Wed Jul 20 2011 Jan Rękorajski <baggins@pld-linux.org> 8a773c5
- fix adapter failure

* Wed Jul 20 2011 Jan Rękorajski <baggins@pld-linux.org> 10b9ea0
- initial revision

